LotusConfig (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.LotusConfig interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface LotusConfig

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  IIOPConfig, IMAPConfig, LDAPConfig, OtherConfig, POPConfig, SMTPConfig, WebConfig

    public interface LotusConfig

extends LogicalElement

Naming Rules:
  0="parent,port"
Persistable:
  true
Table Name:
  LOTUSCFG
Display Name:
  parent,port

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAdditionalFields()`
`int` | `getAnonymous()`
`java.lang.String` | `getAuthenticationOptions()`
`java.lang.String` | `getClientCertificate()`
`java.lang.String` | `getEnforceServerAccessSettings()`
`java.lang.String` | `getNameAndPassword()`
`DominoServer` | `getParent()`
`int` | `getPort()`
`int` | `getPortStatus()`
`int` | `getSSLAnonymous()`
`java.lang.String` | `getSSLAuthenticationOptions()`
`java.lang.String` | `getSSLNameAndPassword()`
`int` | `getSSLPortNumber()`
`int` | `getSSLPortStatus()`
`java.lang.String` | `getType()`
`boolean` | `hasAdditionalFields()`
`boolean` | `hasAnonymous()`
`boolean` | `hasAuthenticationOptions()`
`boolean` | `hasClientCertificate()`
`boolean` | `hasEnforceServerAccessSettings()`
`boolean` | `hasNameAndPassword()`
`boolean` | `hasParent()`
`boolean` | `hasPort()`
`boolean` | `hasPortStatus()`
`boolean` | `hasSSLAnonymous()`
`boolean` | `hasSSLAuthenticationOptions()`
`boolean` | `hasSSLNameAndPassword()`
`boolean` | `hasSSLPortNumber()`
`boolean` | `hasSSLPortStatus()`
`boolean` | `hasType()`
`void` | `setAdditionalFields(java.lang.String s)`
`void` | `setAnonymous(int s)`
`void` | `setAuthenticationOptions(java.lang.String s)`
`void` | `setClientCertificate(java.lang.String s)`
`void` | `setEnforceServerAccessSettings(java.lang.String s)`
`void` | `setNameAndPassword(java.lang.String s)`
`void` | `setParent(DominoServer s)`
`void` | `setPort(int s)`
`void` | `setPortStatus(int s)`
`void` | `setSSLAnonymous(int s)`
`void` | `setSSLAuthenticationOptions(java.lang.String status)`
`void` | `setSSLNameAndPassword(java.lang.String s)`
`void` | `setSSLPortNumber(int s)`
`void` | `setSSLPortStatus(int s)`
`void` | `setType(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setPort

    void setPort(int s)

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPort

    boolean hasPort()

### setPortStatus

    void setPortStatus(int s)

### getPortStatus

    int getPortStatus()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPortStatus

    boolean hasPortStatus()

### setAuthenticationOptions

    void setAuthenticationOptions(java.lang.String s)

### getAuthenticationOptions

    java.lang.String getAuthenticationOptions()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAuthenticationOptions

    boolean hasAuthenticationOptions()

### setEnforceServerAccessSettings

    void setEnforceServerAccessSettings(java.lang.String s)

### getEnforceServerAccessSettings

    java.lang.String getEnforceServerAccessSettings()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasEnforceServerAccessSettings

    boolean hasEnforceServerAccessSettings()

### setNameAndPassword

    void setNameAndPassword(java.lang.String s)

### getNameAndPassword

    java.lang.String getNameAndPassword()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasNameAndPassword

    boolean hasNameAndPassword()

### setAnonymous

    void setAnonymous(int s)

### getAnonymous

    int getAnonymous()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAnonymous

    boolean hasAnonymous()

### setSSLPortNumber

    void setSSLPortNumber(int s)

### getSSLPortNumber

    int getSSLPortNumber()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLPortNumber

    boolean hasSSLPortNumber()

### setSSLPortStatus

    void setSSLPortStatus(int s)

### getSSLPortStatus

    int getSSLPortStatus()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLPortStatus

    boolean hasSSLPortStatus()

### setClientCertificate

    void setClientCertificate(java.lang.String s)

### getClientCertificate

    java.lang.String getClientCertificate()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasClientCertificate

    boolean hasClientCertificate()

### setSSLNameAndPassword

    void setSSLNameAndPassword(java.lang.String s)

### getSSLNameAndPassword

    java.lang.String getSSLNameAndPassword()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLNameAndPassword

    boolean hasSSLNameAndPassword()

### setSSLAnonymous

    void setSSLAnonymous(int s)

### getSSLAnonymous

    int getSSLAnonymous()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLAnonymous

    boolean hasSSLAnonymous()

### setType

    void setType(java.lang.String s)

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasType

    boolean hasType()

### setSSLAuthenticationOptions

    void setSSLAuthenticationOptions(java.lang.String status)

### getSSLAuthenticationOptions

    java.lang.String getSSLAuthenticationOptions()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSSLAuthenticationOptions

    boolean hasSSLAuthenticationOptions()

### setAdditionalFields

    void setAdditionalFields(java.lang.String s)

### getAdditionalFields

    java.lang.String getAdditionalFields()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAdditionalFields

    boolean hasAdditionalFields()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD